Bug 1757256 - Review Request: vim-airline - Lean & mean status/tabline for vim that's light as air
Summary: Review Request: vim-airline - Lean & mean status/tabline for vim that's light...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-01 01:17 UTC by Artem
Modified: 2019-10-31 03:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:00:25 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Elliott Sales de Andrade 2019-10-01 10:34:56 UTC
Requires: vim-enhanced + Suggests: neovim is a bit weird. If you use neovim, why would you want vim-enhanced installed too? But also, I'm not sure that neovim uses files in %{vimfiles_root}.

Comment 2 Artem 2019-10-01 15:33:38 UTC
Not sure about neovim too. :) This and this[1] my first Vim packages so appreciate any help and suggestions. I'll remove neovim from Suggests... TY. 

https://bugzilla.redhat.com/show_bug.cgi?id=1757225

Comment 4 Vít Ondruch 2019-10-10 09:58:10 UTC
@Artem
I would be nice if you included AppData [1, 2] so the plugin appears in Gnome Software.


[1] https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/
[2] https://src.fedoraproject.org/rpms/vim-nerdtree/blob/master/f/vim-nerdtree.spec#_40

Comment 5 Artem 2019-10-13 14:16:49 UTC
https://copr-be.cloud.fedoraproject.org/results/atim/vim-airline/fedora-31-x86_64/01056177-vim-airline/vim-airline.spec

https://copr-be.cloud.fedoraproject.org/results/atim/vim-airline/fedora-31-x86_64/01056177-vim-airline/vim-airline-0.10-4.20191011git297ca3d.fc31.src.rpm

> I would be nice if you included AppData [1, 2] so the plugin appears in Gnome Software.

That's awesome. I didn't know that GNOME Software shows addons for Gvim. :) It would be nice if you help me and review next Vim plugins which i plan to push in repos. TY.

Comment 6 Robert-André Mauchin 2019-10-13 17:08:59 UTC
 - Please validate the Appdata file:

BuildRequires:  libappstream-glib

[…]

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

 - Validation will fail:

+ appstream-util validate-relax --nonet /builddir/build/BUILDROOT/vim-airline-0.10-4.20191011git297ca3d.fc32.x86_64/usr/share/metainfo/vim-airline.metainfo.xml
/builddir/build/BUILDROOT/vim-airline-0.10-4.20191011git297ca3d.fc32.x86_64/usr/share/metainfo/vim-airline.metainfo.xml: failed to parse /builddir/build/BUILDROOT/vim-airline-0.10-4.20191011git297ca3d.fc32.x86_64/usr/share/metainfo/vim-airline.metainfo.xml: Error on line 7: Entity did not end with a semicolon; most likely you used an ampersand character without intending to start an entity ? escape ampersand as &

 → Convert your & into &


Note that Neovim doesn't use %{vimfiles_root} to search its plugins, to do so it needs to be configured that way.







Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 94 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/vim-airline/review-vim-
     airline/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vim-airline-0.10-4.20191011git297ca3d.fc32.noarch.rpm
          vim-airline-0.10-4.20191011git297ca3d.fc32.src.rpm
vim-airline.noarch: W: spelling-error %description -l en_US statusline -> status line, status-line, stateliness
vim-airline.src: W: spelling-error Summary(en_US) tabline -> tabling, tab line, tab-line
vim-airline.src: W: spelling-error %description -l en_US tabline -> tabling, tab line, tab-line
vim-airline.src: W: spelling-error %description -l en_US statusline -> status line, status-line, stateliness
vim-airline.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 8 Robert-André Mauchin 2019-10-14 14:07:39 UTC
Package approved.

Comment 9 Gwyn Ciesla 2019-10-14 20:18:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/vim-airline

Comment 10 Fedora Update System 2019-10-14 20:45:16 UTC
FEDORA-2019-13bc5d68a8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-13bc5d68a8

Comment 11 Fedora Update System 2019-10-14 20:49:45 UTC
FEDORA-2019-1ada3baef1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ada3baef1

Comment 12 Fedora Update System 2019-10-14 20:55:21 UTC
FEDORA-EPEL-2019-6a478c3c36 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a478c3c36

Comment 13 Fedora Update System 2019-10-15 15:28:04 UTC
vim-airline-0.10-5.20191011git297ca3d.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-13bc5d68a8

Comment 14 Fedora Update System 2019-10-15 22:58:05 UTC
vim-airline-0.10-5.20191011git297ca3d.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ada3baef1

Comment 15 Fedora Update System 2019-10-15 23:57:46 UTC
vim-airline-0.10-5.20191011git297ca3d.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-6a478c3c36

Comment 16 Fedora Update System 2019-10-25 17:00:25 UTC
vim-airline-0.10-5.20191011git297ca3d.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-10-26 17:25:55 UTC
vim-airline-0.10-5.20191011git297ca3d.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-31 03:18:47 UTC
vim-airline-0.10-5.20191011git297ca3d.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.